net.sourceforge.jnlp.event

## Class DownloadEvent

- java.lang.Object
- - java.util.EventObject
  - - net.sourceforge.jnlp.event.DownloadEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class DownloadEvent
      extends java.util.EventObject

  This event is sent during the launch of an application.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DownloadEvent(ResourceTracker source, Resource resource)` Creates a launch event for the specified application instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.URL` | `getResourceLocation()`
    `ResourceTracker` | `getTracker()`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DownloadEvent

          public DownloadEvent(ResourceTracker source,
                               Resource resource)

      Creates a launch event for the specified application instance.
      Parameters:
        `source` - the resource tracker
        `resource` - the resource

  - ### Method Detail

    - #### getTracker

          public ResourceTracker getTracker()

      Returns:
        the tracker that owns the resource.

    - #### getResourceLocation

          public java.net.URL getResourceLocation()

      Returns:
        the location of the resource being downloaded.

Submit a bug or feature